Subject: Re: bug#46256: [feature/native-comp] AOT eln files ignored if run from build tree

From: Eli Zaretskii <[email-masked]>
Date: Fri, 05 Mar 2021 20:44:35 +0200

> From: Pip Cet <[email-masked]>
> Date: Fri, 5 Mar 2021 15:54:07 +0000
> Cc: Andrea Corallo <[email-masked]>, [email-masked]
> 
> > It depends on whether the build included non-preloaded files.
> 
> I'm afraid I don't follow.

Preloaded files are dumped into emacs.pdmp, so we don't need to keep
them to be able to run previously-built executables.  But files that
are not dumped are still valuable if you want to run those
executables.

All this assumed you value previously built binaries (which I do).